Page MenuHomePhabricator

Hide last modifier bar on revision pages
Closed, ResolvedPublic3 Story Points

Description

Visit https://en.m.wikipedia.org/wiki/Leonard_Cohen?oldid=747517267
The box in the top says that the last modifier is Linealchamp.

The last modified bar at the end disagrees.

It shows the current editor too.

We should hide the bar in the footer which gives information that is not relevant (not appropriate) here.

Acceptance criteria

  • If a page is an old revision and I view it there is no last modified bar
  • If a page is a current revision and I view it there is a last modified bar.
  • MinervaNeue should not use MobilePage class - use methods in core.

Developer notes

Testing notes

  • Go to any article on BetaCluster that has more than one edit, example: https://en.m.wikipedia.beta.wmflabs.org/wiki/Planet
  • The footer should contain "Last edited {TIME} ago by {AUTHOR}
  • click "Last edited" link to see the article history page
  • on history page click the previous edit (not the latest one)
  • you should land on page saying "This is an old revision of this page ....."
  • when you scroll down to the footer "Last edited {TIME} ago by {AUTHOR}" should not be visible because you're viewing the historical page

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 9:10 PM
bmansurov added subscribers: Nirzar, bmansurov.

@Nirzar, what do you think? Should the last modified bar in the footer display information about the page or the current revision that's being viewed?

I'm also concerned that this might be a legal problem...

Nirzar added a comment.EditedDec 15 2016, 5:02 PM

@bmansurov good catch. we should hide the bar in the footer which gives information that is not relevant (not appropriate) here.

@jhobs, since you're in charge of the chore wheel today, please update the description of the task per T153125#2877112 and move to the appropriate column. Thanks.

@Nirzar we have a legal obligation to link to the history... but even if we hide it, this also doesn't help guide us with what to do in the mobileview api - we still need to decide whether the behaviour there is correct.

@bmansurov please check with WMF legal before moving this to triaged but future.

jhobs triaged this task as Normal priority.Dec 15 2016, 5:31 PM
jhobs updated the task description. (Show Details)

@Jdlrobson we can include that in the top banner. it already next rev, prev rev, and it can have overall history link. let me put up a mock.

Doesn't seem to me that we clearly defined the fix and updated the description here.

Nirzar added a comment.EditedApr 13 2017, 9:40 PM

Here is the functionality of this banner

  • see latest version as this is old version, compare diff with latest version
  • see who was editor of this revision, go to their talk or see their contribs
  • see next/prev versions
  • compare diffs with next and previous
  • know more about revisions
  • know more about perm links

LOL so many things.

workflow

  • User visits oldid page
  • notify user that this is NOT the latest copy of this article, give option to see the latest copy then
  • tell user, who edited this copy and when
  • let user see entire history
  • let user browse next and previous revisions
  • let user compare diffs with next/prev revisions. kind of a browser


This takes care of all functionality except for visiting user talk or contribs. but you can do that by tapping on a user


if we don't want change anything. here's a complicated version as is


which has link to edit history.

The box is provided by core, so I'll need to dig in and see if we can move it. Not sure if that's worth the considerable work involved as we'd have to consult with community?

Seems like we can at least remove the last modified bar from the end of the article and leave a history link? Would that suffice or should we be more ambitious here?

Seems like we can at least remove the last modified bar from the end of the article and leave a history link? Would that suffice or should we be more ambitious here?

It's difficult to say Yes to Grade C as the way to go.

There is a Grade A answer here which i did not even explore due to the effort. I did Grade B and C. C being the last one, just adding another option to already complicated thing.

cc @ovasileva can take a call based on priority and value

Jdlrobson updated the task description. (Show Details)Jun 6 2017, 10:35 PM

@ovasileva this patch is now untouched for over a month. Is priority normal or low? TBH I think we're overthinking this - removing the last modified bar at the bottom of the page to avoid confusion is all that needs to happen here.

@Jdlrobson - to confirm, we would be removing it for old revisions?

Jdlrobson updated the task description. (Show Details)Jun 7 2017, 3:22 PM

Yes. Hope that's clear ^

Ready for dev...?

Jdlrobson renamed this task from Mobile page always shows the last modifier to Hide last modifier bar on revision pages.Jul 13 2017, 5:52 PM
Jdlrobson edited projects, added MinervaNeue; removed MobileFrontend.
Jdlrobson moved this task from Backlog to Bugs on the MinervaNeue board.Jul 13 2017, 6:04 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 1 2017, 4:41 PM
Jdlrobson updated the task description. (Show Details)Aug 15 2017, 4:34 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Aug 15 2017, 4:39 PM
Jdlrobson set the point value for this task to 3.
phuedx added a subscriber: phuedx.Aug 15 2017, 4:56 PM

Take the time to review the codebase and refactor so we consistently check if the page is a revision

This is how MobileFrontend decides whether to redirect to Special:MobileDiff: https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/dee07d4a2fc7e30395dc27014b214af4b2ca7ad5/includes/MobileFrontend.hooks.php#L258-L272

Jdlrobson claimed this task.Sep 6 2017, 2:51 PM
Jdlrobson moved this task from To Do to Doing on the Readers-Web-Kanbanana-Board-Old board.

Change 376282 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Hide last modified bar on old revisions

https://gerrit.wikimedia.org/r/376282

Jdlrobson updated the task description. (Show Details)Sep 7 2017, 2:18 PM

Per acceptance criteria here is some refactoring for review:
https://gerrit.wikimedia.org/r/#/c/376281/

Change 376282 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Hide last modified bar on old revisions

https://gerrit.wikimedia.org/r/376282

Per acceptance criteria there is still some refactoring for review:
https://gerrit.wikimedia.org/r/#/c/376281/

issues have been addressed! @pmiazga is on it!

reviewed, looks nice. it's ready for QA

pmiazga updated the task description. (Show Details)Sep 8 2017, 7:32 PM

@pmiazga - could you add testing steps?

MBinder_WMF removed Jdlrobson as the assignee of this task.Sep 12 2017, 5:04 PM

@ovasileva and @pmiazga I was taking a look at this and I'm not sure I understand the problem. In the screenshots, it appears to show the edit by Linealchamp, which is not the 'latest' edit. The footer shows the latest edit to the main article, which is now Jon Kolbert. It seems like this is the desired behavior. Am I missing something?

pmiazga updated the task description. (Show Details)Sep 13 2017, 5:04 PM

@ABorbaWMF - @pmiazga added testing steps, over to you!

Ah, ok! Looks good to me. I tried it on a handful of browsers.

ovasileva closed this task as Resolved.Sep 14 2017, 1:11 PM

looks like we're all done here!